# file: $isip/class/algo/Math/GNUmakefile
# version: $Id: GNUmakefile 8283 2002-07-03 21:08:37Z picone $

# this makefile builds the Math algorithm class
#

# source files
#
ISIP_FILES = *.cc

# define the header files that need to be installed
#
ISIP_HEADER_FILES = Math.h

# define other dependencies (headers are included automatically)
#
ISIP_DEPS = AlgorithmBase.h Long.h VectorLong.h VectorFloat.h Float.h \
            MemoryManager.h

# define the compilation flags
# 
ISIP_CFLAGS = 

# output library
# 
ISIP_OLIB = lib_algo.a

# make template
#
include $(ISIP_DEVEL)/lib/scripts/make/compile.make

#
# end of file

